Introduction

HTML-Help for PowerXGames Theater 5.5

PowerXGames Theater for Windows

HTML-Help Hyperlinks:

Explanations

With PowerXGames Theater from jk-ware Blocker Plains, Color LIFE Sound and Perpetuum mobile can be started multiple times and run simultaneously.

The program forms become with the menu-point „Forms“ arranged overlapped, side by side or one on the other.

Think and purpose of PowerXGames Theater is to test the capability of the computer playfully. The on this occasion selected order of the forms can be stored to the later recall as configuration.

The course in the individual

PowerXGames Theater is a framework program where the gaming programs of jk-ware can become started as MDI-Form (MDI = Multiple Document Interface).

Each program becomes under Windows™, as individual task (Thread) declared and gets the microprocessor allotted alternate for a small term.

Hereby, a seemingly simultaneous course of the games emerges on computers with one processor.

Only on systems with several microprocessors or with multi core processors, is allotted each program more ideally wisely a processor as well as a processor core, through which the games run out simultaneously.

Theater configurations

When reading a new configuration directory, the current game construction gets lost irretrievably. If game-data should remain, these must be stored into a configuration directory, before they are replaced by a new directory.

The configurations for PowerXGames Theater are stored in subdirectories of "Konfigurationen".

To this becomes through „Program\Configuration\Save... " a subdirectory selected. Into this directory, the initialization-files of the programs and even from theater becomes copied.

At the restore of a Theater configuration with „Program\Configuration\Load..." becomes copied the initialization files of the programs from a selected directory name into the start-directory „Init_Daten". The initialization file of Theater itself is copied into the program directory.

Caution! The directory for the configuration data must be produced with the Windows Explorer with a matching name of you previously.
The name of the configuration file itself is on this occasion invariably "Theater_Daten.bin".

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML-Help may be free copied

™ Windows is a registered trademark of Microsoft Corporation


HTML-Help for PowerXGames Theater 5.5

Menu selection

Program menu

Blocker Plains !
Color LIFE Sound !
Perpetuum mobile!

The desired program is started with these menu items.

Configuration >

  • Restore

    reactivates the last configuration.
  • 1 x BLP, 1 x CLS, 1 x PPM

    each program is started once
  • 2 x CLS, 2 x PPM

    starts Color LIFE Sound and Perpetuum mobile twice
  • + 4 x Color LIFE Sound

    opens further four forms of Color LIFE Sound
  • + 4 x Perpetuum mobile

    opens further four Forms of Perpetuum mobile
  • Load ...
    opens a dialog-form to the selection of a directory with the PowerXGames Theater configuration
  • Save ...

         opens a dialog-form to the selection of a directory for the PowerXGames Theater configuration

Pause / Start all !

The condition of all programs changes from pause to start hereby and turned back.

Close all Forms!

Closes all forms within PowerXGames Theater.

End!

Closes all forms and finishes PowerXGames Theater under Windows™.

Forms menu

Cascade
Vertical
Horizontal

The opened program forms become arranged overlapped, side by side or one on the other.

Minimize all

Reduces all forms to title-bars.

Restore all

Restores the preceding order of the forms again.

Close!

Finishes the activated program and closes the form.

Close All!

Finishes all started programs and closes all forms.

Forms-list

In the following list all program-forms are presented.

Theater menu

Language >

Choose the language here for the Theater menus and for the information text within Message-boxes. All new programs are started with this language.

Language > Help system

Determines the language for the HTML Help text and the description of the dialog-forms. For „other“ can be tied in even further HTML help-texts under the filename PowerXGames_Theater_5_5_other.chm.

Explanations

Opens a help-text with explanations to PowerXGames Theater.

Menu Commands

Activates this help-text.

about...

Shows a dialog box with information to PowerXGames Theater and Copyrights.

up


Theater_agif

HTML-Help for PowerXGames Theater 5.5